Skip to content

Get all user consultations

GET
/user/{userId}/case-history
curl --request GET \
--url 'https://client-api.abi.ai/user/abi1234/case-history?order=desc' \
--header 'Authorization: Bearer <token>'
userId
required
string

The Abi identifier of the user account.

Example
abi1234
order
string
Allowed values: asc desc

Sort direction for the returned history.

Example
desc

User consultation history returned.

Media typeapplication/json
Array<object>

Summary item returned by a user’s case-history endpoint.

object
id

Consultation identifier.

string
status

Current workflow status.

string
questionType

Configured consultation journey type.

string
createdAt

Time the consultation was created.

string format: date-time
Example
[
{
"id": "8910zyx321cba",
"status": "resolved",
"questionType": "medicalConsultation",
"createdAt": "2025-08-28T10:12:30.000Z"
}
]

Request could not be completed.

Media typeapplication/json
object
code

Short machine-readable error code.

string
message

Human-readable explanation of the error.

string
Examplegenerated
{
"code": "example",
"message": "example"
}